open All Channels
seplocked Market Discussions
blankseplocked The Next EMMA thread. - 1.5.1.0 now available. Massive update.
 
This thread is older than 90 days and has been locked due to inactivity.


 
Pages: first : previous : ... 4 5 6 7 [8] 9 10 11 12 ... : last (30)

Author Topic

Ambo
I've Got Nothing
Posted - 2010.01.15 12:36:00 - [211]
 

Originally by: Lost Hamster
Ambo, with the new beta, I get every time a :
Problem removing contraints from 'APICharacters' table
Inner Exception: 'DF_APICharacters_HighestCharJournalID' is not a constraint.

Error, as I don't have this constrains anymore. Is there a table where the program put a marker, that the update have been done? So it will skip this procedure? As then I would like to change that.

Otherwise the program is working fine.


Damn it, I was hoping that since the SQL 2005 version did not have the constraints either, it would be ok. I'll have to investigate ways of getting round that.

In the mean time, you can change the '_GetVersion' stored procedure to return '1.3.2.1'
This will let EMMA know that the database has already been updated.

Lost Hamster
Hamster Holding Corp
Posted - 2010.01.15 12:50:00 - [212]
 

Originally by: Ambo

Damn it, I was hoping that since the SQL 2005 version did not have the constraints either, it would be ok. I'll have to investigate ways of getting round that.

In the mean time, you can change the '_GetVersion' stored procedure to return '1.3.2.1'
This will let EMMA know that the database has already been updated.


Thanks it fixed it. :)

Ambo
I've Got Nothing
Posted - 2010.01.15 13:32:00 - [213]
 

Originally by: Loaby
Originally by: Ambo
Beta 1.3.2.1 is now up.




the good news is that all api updates are working again.

the bad news is that the auto-contractor still doesnt work. i treid several settings and it seems that every time it hits a station where the criteria are met i get the same error message "Der angegebene Schlüssel war nicht im Wörterbuch angegeben"



I've found the problem, Lost Hamster missed a step when preparing the Dominion data. (There is a stored proc called 'INIT' that must be run to setup jump data tables)

Because this had not been done, there was do data in the expected tables and so the process crashed.

Beta 1.3.2.2 is now available

This has an updated version of the eve data database containing the missing jump data table.
It also contains a fix for the problem where an SQL 2008 database has already had the constraints removed.

Lost Hamster
Hamster Holding Corp
Posted - 2010.01.15 13:56:00 - [214]
 

Edited by: Lost Hamster on 15/01/2010 13:56:42
Originally by: Ambo

I've found the problem, Lost Hamster missed a step when preparing the Dominion data. (There is a stored proc called 'INIT' that must be run to setup jump data tables)


Ohh.. Sorry about it. And so I don't forget it next time, I will drop a big comment to
http://code.google.com/p/evemarketmonitorapp/wiki/DataExportUpdateInstructions
With the new steps, how to downgrade the CCP datadump from SQL 2008 to SQL 2005, as it is much more complex work.

Ambo
I've Got Nothing
Posted - 2010.01.15 16:07:00 - [215]
 

Originally by: Lost Hamster
Edited by: Lost Hamster on 15/01/2010 13:56:42
Originally by: Ambo

I've found the problem, Lost Hamster missed a step when preparing the Dominion data. (There is a stored proc called 'INIT' that must be run to setup jump data tables)


Ohh.. Sorry about it. And so I don't forget it next time, I will drop a big comment to
http://code.google.com/p/evemarketmonitorapp/wiki/DataExportUpdateInstructions
With the new steps, how to downgrade the CCP datadump from SQL 2008 to SQL 2005, as it is much more complex work.


No problem, I, and I'm sure many others, really appreciate your efforts on this. Smile

Vested Interest
Posted - 2010.01.15 16:27:00 - [216]
 

Ok I just updated from StarBreeze or whatever the autoupdater has in there (not eve files) and I'm back to this error:

EXCEPTION REPORT
=====================================================================================
1/15/2010 9:21:31 AM Critical - EveMarketMonitorApp.Common.EMMAException - Error during startup
Inner Exception: The database 'C:\PROGRAM FILES\EMMA\DATA\EVEDATA.MDF' cannot be opened because it is version 655. This server supports version 612 and earlier. A downgrade path is not supported.
Cannot open user default database. Login failed.



Will Hamster's SQL 2005 database, posted on the last page, cure this for me?


Sorry for all the trouble. I am transferring a billion to each of you (Hamster and Ambo) for your much-appreciated efforts!

Lost Hamster
Hamster Holding Corp
Posted - 2010.01.15 16:37:00 - [217]
 

Originally by: Vested Interest

Will Hamster's SQL 2005 database, posted on the last page, cure this for me?



It will work, except the autocontractor. To fix it manually:
open sql management console
go to evedata -> Programmability -> stored procedures ->
there look for a dbo.INIT
right click -> execute stored procedure. Then it should work the autcontractor as well.

Or you wait about 2 hours, until I get home, fix it, and re-upload it.

Ambo, when I fixed it, please put those files to the eve-files download, as it look's like you again uploaded a sql 2008 file.

Originally by: Vested Interest

Sorry for all the trouble. I am transferring a billion to each of you (Hamster and Ambo) for your much-appreciated efforts!


Was not necessary.

Salizar Amolkshue
Posted - 2010.01.15 17:06:00 - [218]
 

Originally by: Ambo

I expect you also have SQL 2008 instead of 2005? This means that the database update routine was failing due to extra constraints that 2008 adds to the database.


You are correct, I have SQL 2008 installed. Your latest beta build works fine for me. Thanks again for the awesome app!

Originally by: Ambo

However, I'd also not committed the older changes to google code so they were missing from what you downloaded, I've now corrected that as well.


Figured it was something like that since it was obviously working for you Laughing

Ambo
I've Got Nothing
Posted - 2010.01.15 17:25:00 - [219]
 

Originally by: Vested Interest

Sorry for all the trouble. I am transferring a billion to each of you (Hamster and Ambo) for your much-appreciated efforts!


Thank you, that is very much appreciated.

I have both SQL 2005 and SQL 2008 installed so I guess the changes I made to the database must have auto-upgraded it to 2008 again. I'll put the 2005 version back into the auto-updater once Hamster has uploaded it.

Lost Hamster
Hamster Holding Corp
Posted - 2010.01.15 18:52:00 - [220]
 

Edited by: Lost Hamster on 15/01/2010 18:56:17
OK, I run the dbo.INIT stored procedure, and here is the result:

http://rapidshare.com/files/335813025/emma_SQL2005-fixed.zip.html

A side note:
I tried with this version, and with the db what is currently on eve-files, but I have no idea, how is this Contracts working. (never used it before)
When I press the New Contract button I get this error:

System.ArgumentException: An entry with the same key already exists.
at System.ThrowHelper.ThrowArgumentException(ExceptionResource resource)
at System.Collections.Generic.SortedList`2.Add(TKey key, TValue value)
at EveMarketMonitorApp.GUIElements.ViewContracts.btnNewContract_Click(Object sender, EventArgs e)
at System.Windows.Forms.Control.OnClick(EventArgs e)
at System.Windows.Forms.Button.OnMouseUp(MouseEventArgs mevent)
at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
at System.Windows.Forms.Control.WndProc(Message& m)
at System.Windows.Forms.ButtonBase.WndProc(Message& m)
at System.Windows.Forms.Button.WndProc(Message& m)
at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Edit:
One more thing, would it be possible to do a small change on the Income statement?
Changing the default period from "year" to "day"?

Vested Interest
Posted - 2010.01.16 01:18:00 - [221]
 

I don't use the contractor myself. I seem to be back in business here! Very Happy

Saira Jin
Posted - 2010.01.16 02:43:00 - [222]
 

I upgraded to Windows 7 and have spent 3+ hours trying to decipher stuff -

1) Do I need SQL Express 2005 or 2008?
2) Do I need to "fix" anything in emma to get it to work with 2008? BTW, what is the "disable CLR" stuff a few pages ago?
3) Do I need to upgrade the datadump - if yes, how?
4) What else needs to be done to get it to work on Windows 7, 64 bit?

In short, if someone can tell me the things to do in a short and lucid way, I will edit the google code wiki with instructions of how to get it to work on Win 7 64-bit. And get it to work I will! :P

Ambo
I've Got Nothing
Posted - 2010.01.16 08:06:00 - [223]
 

Edited by: Ambo on 16/01/2010 08:06:47
Originally by: Lost Hamster
Edited by: Lost Hamster on 15/01/2010 18:56:17
OK, I run the dbo.INIT stored procedure, and here is the result:

http://rapidshare.com/files/335813025/emma_SQL2005-fixed.zip.html

A side note:
I tried with this version, and with the db what is currently on eve-files, but I have no idea, how is this Contracts working. (never used it before)
When I press the New Contract button I get this error:

System.ArgumentException: An entry with the same key already exists.
at System.ThrowHelper.ThrowArgumentException(ExceptionResource resource)
at System.Collections.Generic.SortedList`2.Add(TKey key, TValue value)
at EveMarketMonitorApp.GUIElements.ViewContracts.btnNewContract_Click(Object sender, EventArgs e)
at System.Windows.Forms.Control.OnClick(EventArgs e)
at System.Windows.Forms.Button.OnMouseUp(MouseEventArgs mevent)
at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
at System.Windows.Forms.Control.WndProc(Message& m)
at System.Windows.Forms.ButtonBase.WndProc(Message& m)
at System.Windows.Forms.Button.WndProc(Message& m)
at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Edit:
One more thing, would it be possible to do a small change on the Income statement?
Changing the default period from "year" to "day"?


I'll take a look at this on Monday and update the regular release version with all the changes + the 2005 database.

I'm hesitant to change the default period on the income statement because many other people may want it different. I'll see if it would be simple to just remember the setting somehow though.


Originally by: Saira Jin
I upgraded to Windows 7 and have spent 3+ hours trying to decipher stuff -

1) Do I need SQL Express 2005 or 2008?
2) Do I need to "fix" anything in emma to get it to work with 2008? BTW, what is the "disable CLR" stuff a few pages ago?
3) Do I need to upgrade the datadump - if yes, how?
4) What else needs to be done to get it to work on Windows 7, 64 bit?

In short, if someone can tell me the things to do in a short and lucid way, I will edit the google code wiki with instructions of how to get it to work on Win 7 64-bit. And get it to work I will! :P



Either SQL version should be fine. If you're starting fresh, I'd recommend 2008 though.

You should not have to fiddle with it at all. Simply run EMMA once and it will enable the CLR setting itself. On x86 systems, this works fine but on x64 systems, there is a bug in SQL server that requires the machine to be reset before the change takes effect. i.e. you need to run EMMA once, if it doe snot work then reset your machine and then run it again.

You need to right click the exe file and choose the 'run as administrator' option. (even if you are an administrator) otherwise it won't work.

Edit for clarity: that last bit I'm talking about the EMMA exe, nothing to do with SQL server.

Kira Ulminara
Posted - 2010.01.16 18:38:00 - [224]
 

Ok so I try to install EMMA and get this error:
Prerequisite check for system component SQL Server 2005 Express Edition SP2 (x86) failed with the following error message:
"This version of SQL Server 2005 Express Edition (x86) is not supported for the current processor architecture."

I installed 64-bit SQL 2008 but that didn't seem to help and it won't let me install 64 bit 2005 SQL since apparently not enough is different to change it... Win 7 here

Lost Hamster
Hamster Holding Corp
Posted - 2010.01.16 19:30:00 - [225]
 

Originally by: Kira Ulminara
Win 7 here

Win 7 32bit, or 64 bit?

Depending on what you have you need to install from here:
http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=58ce885d-508b-45c8-9fd3-118edd8e6fff

" SQLEXPR32_x86 is a smaller package that can be used to install SQL Server 2008 Express onto only 32-bit operating systems.
SQLEXPR_x86 is the same product but supports installation onto both 32-bit and 64-bit (WoW) operating systems.
SQLEXPR_x64 is a native 64-bit SQL Server 2008 Express and supports installation onto only 64-bit operating systems. There is no other difference between these packages."

So if you are unsure, then choose the middle one.

Kira Ulminara
Posted - 2010.01.16 21:25:00 - [226]
 

Originally by: Lost Hamster

Win 7 32bit, or 64 bit?


64 bit... and even if i install 2008 it still gives me the 2005 error when I try to install

Vaerah Vahrokha
Minmatar
Vahrokh Consulting
Posted - 2010.01.16 22:25:00 - [227]
 

I started getting this error:

All of the Journals flagged in red and hovering the mouse on them:

"Value was either too large or too small for an Int32"

It's v 1.3.1.1 on a Win XP SP3 virtual machine.

Ambo
I've Got Nothing
Posted - 2010.01.16 22:34:00 - [228]
 

Originally by: Vaerah Vahrokha
I started getting this error:

All of the Journals flagged in red and hovering the mouse on them:

"Value was either too large or too small for an Int32"

It's v 1.3.1.1 on a Win XP SP3 virtual machine.


Updating to the latest beta version should fix that. Or you can wait for the general release version on monday.

Vaerah Vahrokha
Minmatar
Vahrokh Consulting
Posted - 2010.01.16 22:35:00 - [229]
 

Thank you.

Breaker77
Gallente
Reclamation Industries
Posted - 2010.01.16 22:40:00 - [230]
 

Originally by: Ambo
Or you can wait for the general release version on monday.


You have to be the only person to ever give a me a reason to look forward to a Monday. Very Happy

Lost Hamster
Hamster Holding Corp
Posted - 2010.01.17 14:54:00 - [231]
 

Originally by: Kira Ulminara

64 bit... and even if i install 2008 it still gives me the 2005 error when I try to install


The error message that:
"...is not supported for the current processor architecture"
If you get this, then you try to install x86 on a x64 or x64 on x86.

Try to download:
SQLEXPR_x86 is the same product but supports installation onto both 32-bit and 64-bit (WoW) operating systems.

This should work fine on both system.

Ambo
I've Got Nothing
Posted - 2010.01.18 14:47:00 - [232]
 

1.3.2.2 is now on general release. This contains all the fixes since the last main release (1.3.1.1)

Deimona
Posted - 2010.01.18 21:08:00 - [233]
 

EMMA is showing multiple copies of the same sell orders, some of them I think may even have expired... it makes the NAV Report completely borked is there anyway to purge the orders?

Rens Chex
Posted - 2010.01.19 02:22:00 - [234]
 

Originally by: Ambo
1.3.2.2 is now on general release. This contains all the fixes since the last main release (1.3.1.1)


Where is the release file at? The original post in this thread points at google code, but there is an older version available for download there? And could someone please be kind enough to tell me what all is needed to get this to work on Windows 7? Won't work after the install, at least the 1.3.0.1 version available from google code.

Lost Hamster
Hamster Holding Corp
Posted - 2010.01.19 08:21:00 - [235]
 

Originally by: Rens Chex

Where is the release file at? The original post in this thread points at google code, but there is an older version available for download there? And could someone please be kind enough to tell me what all is needed to get this to work on Windows 7? Won't work after the install, at least the 1.3.0.1 version available from google code.


The autoupdater should download the update automatically.

Kapila Parthalan
Posted - 2010.01.21 00:19:00 - [236]
 

Every time I start EMMA, the autoupdater tells me a new update is available, even though I have already updated it to the latest version (1.3.2.2). I let it do the update again, but this still continued.

Deimos Draganov
Posted - 2010.01.21 00:38:00 - [237]
 

I have just started working with EMMA to help manage my trade related activities.

It seems like a nice product so far, so thank you for all your work on this.

Ainnir Domhnal
Posted - 2010.01.24 15:29:00 - [238]
 

I'm also having EMMA ask me to update on every start-up. Here are some details:
1. If I start it normally, it tells me that an update is available, but that I need to run as administrator.
2. When I start it as administrator, I get a pop-up to ask if I want to do the update. I click on the Details button, and it shows me I am up to date except for the EveData.mdf file. The Details window thinks I have version 1.3.0.0, but 1.3.2.2 is available. (Also, it says I have Enforcer.dll version 1.3.0.5, but the latest version should be 1.0.0.4.)
3. I close the Details window and then either click Update or Close on the original update pop-up. If I click Update, then the new EveData.mdf file gets downloaded, and one other that comes down quick and I haven't caught the name, then EMMA starts. If I click Close EMMA will start.
4. In either case, I can log in and click the About button on the control panel, where I get a list of installed versions. This list seems to agree with the earlier Details window showing EveData.mdf as version 1.3.0.0 (not the 1.3.2.2 that should have been installed with the update). There is another mdf file - EMMA Database.mdf - which did not appear on the Details list, and it is version 1.3.2.1.
5. From here on EMMA appears to run fine. I'm brand new to the program and just learning it, but I don't see anything that looks like it's broken.

I am running SQL 2005 as installed during the EMMA install.

I hope this info is helpful.

Spyder John
Minmatar
3rd Millennium Group
Intergalactic Brotherhood
Posted - 2010.01.27 01:07:00 - [239]
 

Mine also keeps updating without success its the EveData.mdf that installs unsuccessfully.

Lost Hamster
Hamster Holding Corp
Posted - 2010.01.27 08:29:00 - [240]
 

Originally by: Ainnir Domhnal
I'm also having EMMA ask me to update on every start-up. Here are some details:



Originally by: Spyder John
Mine also keeps updating without success its the EveData.mdf that installs unsuccessfully.


I have no info why the auto update does not work, but I can give you an info, how to do a manual update. This is only a workaround and not the official way to apply an update!

The best way to do it is after a machine reboot, so it's sure, that the SQL server is not locking the files.
You need to download this 3 file:
http://dl.eve-files.com/media/corp/Ambo/EveData_log.zip
http://dl.eve-files.com/media/corp/Ambo/EveData.zip
http://dl.eve-files.com/media/corp/Ambo/EveMarketMonitorApp.zip

When downloaded, then unzip the 3 file.
And then you need to rename them.
original file name ---> new file name

EveData_log ---> EveData_log.ldf
EveData ---> EveData.mdf
EveMarketMonitorApp ---> EveMarketMonitorApp.exe

Make a copy of the c:\Program Files\EMMA\ directory to have a valid backup.

Then you need to replace the EveMarketMonitorApp.exe in the
c:\Program Files\EMMA\ directory
And the EveData.mdf , EveData_log.ldf in the
c:\Program Files\EMMA\data directory.

When the replacement is done, you can start-up the application.

Side note:
on a x64 system the directory would be:
c:\Program Files (x86)\EMMA\


Pages: first : previous : ... 4 5 6 7 [8] 9 10 11 12 ... : last (30)

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only